<?php

namespace Picea\Asset\Action;

use Picea\Asset\Extension;
use Picea\Compiler;
use Picea\Compiler\Context;
use Picea\Event\Extension\UrlBuildAssetEvent;
use Picea\EventTrait;

class Install {

    use EventTrait;

    public function __construct(
        public InstallActionInterface $action,
    ) { }

    public function launch() : bool
    {
        $this->action->run();

        return true;
    }

}
